package org.jvnet.hifaces.components.templatedpanel.impl;

import java.io.IOException;
import java.net.URL;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;


public class URLTemplateNameResolver implements TemplateNameResolver {

  public TemplateResource resolve(FacesContext contex, String templateName) throws IOException{
  
    final String resourceURL = contex.getApplication().getViewHandler().getResourceURL(contex, templateName);
    return new URLTemplateResource(new URL(resourceURL));
  }

}
