package org.jvnet.hifaces.components.templatedpanel.util;

import org.jvnet.hifaces.components.templatedpanel.HtmlPanelTemplatedPanel;
import org.jvnet.hifaces.util.IdUtils;


public class TemplatedPanelUtils {

	private TemplatedPanelUtils() {

	}

	public static HtmlPanelTemplatedPanel createTemplatedPanel(
			String templateName, String fragmentId) {
		final HtmlPanelTemplatedPanel templatedPanel = new HtmlPanelTemplatedPanel();
		IdUtils.assignId(templatedPanel);
		templatedPanel.setTemplateName(templateName);
		templatedPanel.setFragmentId(fragmentId);
		return templatedPanel;
	}

}
