package org.jvnet.hifaces.function.impl;

import java.lang.reflect.Method;

import org.jvnet.hifaces.function.Function1;

public class Method0<R, T> extends Function1<R, T> {

	private static final long serialVersionUID = 1L;

	// TODO make serializable
	private final Method method;

	@SuppressWarnings("unchecked")
	public Method0(Method method) {
		super((Class<? extends R>) method.getClass());
		this.method = method;
	}

	@SuppressWarnings("unchecked")
	@Override
	public R call(T arg) throws Exception {
		return (R) method.invoke(arg, (Object[]) null);
	}

	@SuppressWarnings("unchecked")
	@Override
	public R invoke(javax.faces.context.FacesContext facesContext, T arg)
			throws Exception {
		return (R) method.invoke(arg, (Object[]) null);
	}
}
